function [res,f]=my_load(name)
if name~=0
    fd=fopen(name);
    col=fscanf(fd,'%d',1);
    res.col=col;
    n=fscanf(fd,'%d',1);
    res.dnei=n;
    a=[];
    for j=1:col
        b=fscanf(fd,'%e',n);
        a=[a;transpose(b)];
    end
    a=transpose(a);
    res.matr=a;
    str=[];
    fgets(fd);
    for i=1:col
        b=fgets(fd);
        %b=fscanf(fd,'%s',1);
        str(i).name=b;
        
    end
    for i=1:col
        b=fscanf(fd,'%i',1);
        str(i).type=b;
        str(i).color=[0 0 0];
        str(i).color_bw=[0 0 0];        
        str(i).color_bw1=[0 0 0];        
    end
    res.str=str;
    fclose(fd);
    calaz=[];
    fd=fopen('colors.ini');
    fd1=fopen('marks.ini');
    massym=[];
    if fd~=-1
        n=fscanf(fd,'%e',1);
        for i=1:n
            li=fscanf(fd,'%e',6);
            calaz=[calaz;transpose(li)];
            n1=fscanf(fd1,'%e ',1);
            sym=fscanf(fd1,'%c\n',1);
            massym=[massym;sym];
        end
        
        for i=1:col
            for j=1:n
                if calaz(j,1)==res.str(i).type
                    res.str(i).color=[calaz(j,2) calaz(j,3) calaz(j,4)];
                    res.str(i).color_bw=[calaz(j,5) calaz(j,5) calaz(j,5)];% фон чб
                    res.str(i).color_bw1=[calaz(j,6) calaz(j,6) calaz(j,6)];% контур чб
                    res.str(i).symvol=massym(j);
                end
            end
        end
        f=0;
    else
        f=-1;
    end
else
    f=-1;
    res=[];
end